root = 'D:/TBV/TBV GSG 4.0/BI_GSG_FeedBack_localizer/';
files = dir([root,'*.nfv']);
files = natsortfiles({files.name});
CurTimePt = zeros(length(files),1);
Baseline1 = zeros(length(files),1);
CurValue = zeros(length(files),1);
MaxPSC = zeros(length(files),1);
AvgLastN = zeros(length(files),1);
FbLevel = zeros(length(files),1);
TargLevel = zeros(length(files),1);
CurCond = zeros(length(files),1);
BLWndShift = zeros(length(files),2);

for i = 1:length(files)
    
    filestr = fileread([root,files{i}]);
    filebyline = regexp(filestr, '\n', 'split');
    filebyfield = regexp(filebyline, ':', 'split');
    
    CurTimePt(i) = str2num(filebyfield{1}{2});
    Baseline1(i) = str2num(filebyfield{2}{2});
    CurValue(i) = str2num(filebyfield{3}{2});
    MaxPSC(i) = str2num(filebyfield{4}{2});
    AvgLastN(i) = str2num(filebyfield{5}{2});
    FbLevel(i) = str2num(filebyfield{6}{2});
    TargLevel(i) = str2num(filebyfield{7}{2});
    CurCond(i) = str2num(filebyfield{8}{2});
    BLWnd = regexp(filebyfield{9}{2}, ' ', 'split');
    BLWndShift(i,1) = str2num(BLWnd{2});
    BLWndShift(i,2) = str2num(BLWnd{3});
end